GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
reaction.h File Reference

Defines classes for representing and managing nuclear reactions. More...

`#include <string_view>`
`#include "fourdst/composition/atomicSpecies.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include <unordered_map>`
`#include <vector>`
`#include <unordered_set>`
`#include "cppad/cppad.hpp"`
`#include "fourdst/composition/composition.h"`

## Classes
struct | gridfire::reaction::RateCoefficientSet
| Holds the seven coefficients for the REACLIB rate equation. More...
class | gridfire::reaction::Reaction
| Represents a single nuclear reaction from a specific data source. More...
class | gridfire::reaction::ReaclibReaction
class | gridfire::reaction::LogicalReaclibReaction
| Represents a "logical" reaction that aggregates rates from multiple sources. More...
class | gridfire::reaction::ReactionSet

## Namespaces
namespace | gridfire
namespace | gridfire::reaction

## Enumerations
enum class | gridfire::reaction::ReactionType { gridfire::reaction::WEAK , gridfire::reaction::REACLIB , gridfire::reaction::LOGICAL_REACLIB }

## Functions
ReactionSet | gridfire::reaction::packReactionSet (const ReactionSet &reactionSet)

## Detailed Description

Defines classes for representing and managing nuclear reactions.

This file contains the core data structures for handling nuclear reactions, including individual reactions from specific sources (`Reaction`), collections of reactions (`ReactionSet`), and logical reactions that aggregate rates from multiple sources (`LogicalReaclibReaction`, `LogicalReactionSet`).